function AssetOptimizationTest::invalidLibraries

Same name and namespace in other branches
  1. 11.x core/tests/Drupal/FunctionalTests/Asset/AssetOptimizationTest.php \Drupal\FunctionalTests\Asset\AssetOptimizationTest::invalidLibraries()

Replaces the 'libraries' query parameter with an invalid value.

Parameters

string $url: The source URL.

Return value

string The URL with 'libraries' set to an arbitrary string.

1 call to AssetOptimizationTest::invalidLibraries()
AssetOptimizationTest::assertInvalidAggregates in core/tests/Drupal/FunctionalTests/Asset/AssetOptimizationTest.php
Asserts the aggregate when it is invalid.

File

core/tests/Drupal/FunctionalTests/Asset/AssetOptimizationTest.php, line 453

Class

AssetOptimizationTest
Tests asset aggregation.

Namespace

Drupal\FunctionalTests\Asset

Code

protected function invalidLibraries(string $url) : string {
  // First replace the hash, so we don't get served the actual file on disk.
  $url = $this->replaceGroupHash($url);
  $parts = UrlHelper::parse($url);
  $parts['query']['libraries'] = 'abcdefghijklmnop';
  $query = UrlHelper::buildQuery($parts['query']);
  return $this->getAbsoluteUrl($parts['path'] . '?' . $query . '#' . $parts['fragment']);
}

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.